ClientConnectionManager (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn
Interface ClientConnectionManager

All Known Implementing Classes:
  BasicClientConnectionManager, PoolingClientConnectionManager, SingleClientConnManager, ThreadSafeClientConnManager

Deprecated. (4.3) replaced by `HttpClientConnectionManager`.

    @Deprecated
    public interface ClientConnectionManager

Management interface for `client connections`. The purpose of an HTTP connection manager is to serve as a factory for new HTTP connections, manage persistent connections and synchronize access to persistent connections making sure that only one thread of execution can have access to a connection at a time.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

Method Summary
`void` | `closeExpiredConnections()` Deprecated. Closes all expired connections in the pool.
`void` | `closeIdleConnections(long idletime, TimeUnit timeUnit)` Deprecated. Closes idle connections in the pool.
`SchemeRegistry` | `getSchemeRegistry()` Deprecated. Obtains the scheme registry used by this manager.
`void` | `releaseConnection(ManagedClientConnection conn, long validDuration, TimeUnit timeUnit)` Deprecated. Releases a connection for use by others.
`ClientConnectionRequest` | `requestConnection(HttpRoute route, Object state)` Deprecated. Returns a new `ClientConnectionRequest`, from which a `ManagedClientConnection` can be obtained or the request can be aborted.
`void` | `shutdown()` Deprecated. Shuts down this connection manager and releases allocated resources.

Method Detail

### getSchemeRegistry

    SchemeRegistry getSchemeRegistry()

  Deprecated.
  Obtains the scheme registry used by this manager.

  Returns:
    the scheme registry, never `null`

### requestConnection

    ClientConnectionRequest requestConnection(HttpRoute route,
                                              Object state)

  Deprecated.
  Returns a new `ClientConnectionRequest`, from which a `ManagedClientConnection` can be obtained or the request can be aborted.

### releaseConnection

    void releaseConnection(ManagedClientConnection conn,
                           long validDuration,
                           TimeUnit timeUnit)

  Deprecated.
  Releases a connection for use by others. You may optionally specify how long the connection is valid to be reused. Values <= 0 are considered to be valid forever. If the connection is not marked as reusable, the connection will not be reused regardless of the valid duration. If the connection has been released before, the call will be ignored.

  Parameters:
    `conn` - the connection to release
    `validDuration` - the duration of time this connection is valid for reuse
    `timeUnit` - the unit of time validDuration is measured in
  See Also:
    `closeExpiredConnections()`

### closeIdleConnections

    void closeIdleConnections(long idletime,
                              TimeUnit timeUnit)

  Deprecated.
  Closes idle connections in the pool. Open connections in the pool that have not been used for the timespan given by the argument will be closed. Currently allocated connections are not subject to this method. Times will be checked with milliseconds precision All expired connections will also be closed.

  Parameters:
    `idletime` - the idle time of connections to be closed
    `timeUnit` - the unit for the `idletime`
  See Also:
    `closeExpiredConnections()`

### closeExpiredConnections

    void closeExpiredConnections()

  Deprecated.
  Closes all expired connections in the pool. Open connections in the pool that have not been used for the timespan defined when the connection was released will be closed. Currently allocated connections are not subject to this method. Times will be checked with milliseconds precision.

### shutdown

    void shutdown()

  Deprecated.
  Shuts down this connection manager and releases allocated resources. This includes closing all connections, whether they are currently used or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.